Bug 1434361 - ceilometer-upgrade shouldn't run with --without-gnocchi-resource-types
Summary: ceilometer-upgrade shouldn't run with --without-gnocchi-resource-types
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 11.0 (Ocata)
Assignee: Pradeep Kilambi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks: 1421431
TreeView+ depends on / blocked
 
Reported: 2017-03-21 10:58 UTC by Mehdi ABAAKOUK
Modified: 2017-05-17 20:10 UTC (History)
9 users (show)

Fixed In Version: puppet-tripleo-6.3.0-6.el7ost instack-undercloud-6.0.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:10:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 447735 None None None 2017-03-28 19:34:48 UTC
OpenStack gerrit 450017 None None None 2017-03-26 15:57:07 UTC

Description Mehdi ABAAKOUK 2017-03-21 10:58:22 UTC
Description of problem:


ceilometer-upgrade is run with --without-gnocchi-resource-types, this makes
Ceilometer resource types not created in Gnocchi.

Then Ceilometer collector can't write to Gnocchi because the resource types doesn't exists.


We should remove --without-gnocchi-resource-types on the first call or run ceilometer-upgrade a second times without '--without-gnocchi-resource-types'

Comment 3 errata-xmlrpc 2017-05-17 20:10:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.